<?php
/**
 * Plugin Name: Auto Pin It Button
 * Plugin URI:  http://www.apponsite.com/wpextends/plugins/auto-pin-it-button.html
 * Description: Auto Pin It Button adds a "Pin It" button over images of your blog posts automatically 
 * Author:      WPExtends Team
 * Version:     1.1.0
 * Author URI:  http://www.apponsite.com/wpextends
 */

function auto_pin_it_button_the_content($content) {
	return preg_replace_callback('/<img(.*?)src=[\'"](.*?)[\'"](.*?)>/i', 'auto_pin_it_button_the_content_callback', $content);
}

function auto_pin_it_button_the_content_callback($matches) {
	$image = $matches[0];
	$image_url = $matches[2];
	
	$site_url = get_option('siteurl');
	if (strpos($image_url, $site_url) === false) {
		if (strpos($image_url, 'http://') === false) {
			$image_url = $site_url . $image_url;
		}
	}
		
	$post_url = get_permalink(); 
	$post_title = get_the_title(); 
	$pinit_url = 'http://pinterest.com/pin/create/button/'; 
	$pinit_url .= '?url=' . urlencode($post_url);
	$pinit_url .= '&media=' . $image_url;
	$pinit_url .= '&description=' . urlencode($post_title) . '"';
	$pinit_url .= ' data-pin-do="buttonPin" data-pin-config="none"';
	
	$pinit_link = '<a href="' . $pinit_url . ' target="_blank"><img src="//assets.pinterest.com/images/pidgets/pin_it_button.png" /></a>';
	
	return '<div class="auto-pin-it">' . $image . '<div class="auto-pin-it-button">' . $pinit_link . '</div></div>';
}

function auto_pin_it_button_css() {
	echo "
	<style type='text/css'>
	.auto-pin-it {
		position: relative;
		display: block;
	}
	.auto-pin-it .auto-pin-it-button {
		position: absolute;
		top: 10px;
		left: 10px;
		cursor: pointer;
	}
	</style>
	";
}

function auto_pin_it_button_script() {
	echo '<script type="text/javascript" src="http://assets.pinterest.com/js/pinit.js"></script>\n';
}

function auto_pin_it_button_activate() {}

function auto_pin_it_button_deactivate() {}

add_action('wp_head', 'auto_pin_it_button_css');
add_action('wp_head', 'auto_pin_it_button_script');

add_action('the_content', 'auto_pin_it_button_the_content');
register_activation_hook(__FILE__, 'auto_pin_it_button_activate');
register_deactivation_hook(__FILE__, 'auto_pin_it_button_deactivate');

include 'auto-pin-it-button-admin.php';

?>